---
title: list-all-flags-for-a-team
product: vercel
url: /docs/rest-api/feature-flags/list-all-flags-for-a-team
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-all-flags-for-a-team on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List all flags for a team

```http
GET /v1/teams/{teamId}/feature-flags/flags
```

Retrieve all feature flags for a team across all projects. The list can be filtered by state and supports pagination.

## Authentication

**bearerToken**: HTTP bearer

## Path parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `teamId` | string | Yes | The Team identifier to perform the request on behalf of. |


## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `state` | string. enum: active, archived | No | The state of the flags to retrieve. Defaults to `active`. |
| `withMetadata` | boolean | No | Whether to include metadata in the response |
| `limit` | integer. min: 1; max: 100; default: 20 | No | Maximum number of flags to return. |
| `cursor` | string | No | Pagination cursor to continue from. |
| `search` | string | No | Search flags by their slug or description. Case-insensitive. |
| `kind` | string. enum: boolean, string, number, json | No | The kind of flags to retrieve. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "data",
    "pagination"
  ],
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "createdAt",
          "createdBy",
          "environments",
          "id",
          "kind",
          "ownerId",
          "projectId",
          "revision",
          "seed",
          "slug",
          "state",
          "typeName",
          "updatedAt",
          "variants"
        ],
        "properties": {
          "description": {
            "type": "string"
          },
          "experiment": {
            "type": "object",
            "required": [
              "allocationUnit",
              "primaryMetrics",
              "status"
            ],
            "properties": {
              "name": {
                "type": "string"
              },
              "id": {
                "type": "string"
              },
              "numVariants": {
                "type": "number"
              },
              "surfaceArea": {
                "type": "string"
              },
              "stickyRequirement": {
                "type": "boolean",
                "enum": [
                  false,
                  true
                ]
              },
              "layer": {
                "type": "string"
              },
              "guardrailMetrics": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "directionality",
                    "metricType",
                    "metricUnit",
                    "name"
                  ],
                  "properties": {
                    "description": {
                      "type": "string"
                    },
                    "metricFormula": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "metricType": {
                      "type": "string",
                      "enum": [
                        "percentage",
                        "currency",
                        "count"
                      ]
                    },
                    "metricUnit": {
                      "type": "string",
                      "enum": [
                        "user",
                        "session",
                        "visitor"
                      ]
                    },
                    "directionality": {
                      "type": "string",
                      "enum": [
                        "increaseIsGood",
                        "decreaseIsGood"
                      ]
                    }
                  }
                }
              },
              "hypothesis": {
                "type": "string"
              },
              "device": {
                "type": "string",
                "enum": [
                  "android",
                  "ios",
                  "desktop",
                  "mweb"
                ]
              },
              "controlVariantId": {
                "type": "string"
              },
              "startedAt": {
                "type": "number"
              },
              "endedAt": {
                "type": "number"
              },
              "allocationUnit": {
                "type": "string",
                "enum": [
                  "cookieId",
                  "visitorId",
                  "userId"
                ]
              },
              "primaryMetrics": {
                "type": "array",
                "items": {
                  "type": "object",
                  "required": [
                    "directionality",
                    "metricType",
                    "metricUnit",
                    "name"
                  ],
                  "properties": {
                    "description": {
                      "type": "string"
                    },
                    "metricFormula": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "metricType": {
                      "type": "string",
                      "enum": [
                        "percentage",
                        "currency",
                        "count"
                      ]
                    },
                    "metricUnit": {
                      "type": "string",
                      "enum": [
                        "user",
                        "session",
                        "visitor"
                      ]
                    },
                    "directionality": {
                      "type": "string",
                      "enum": [
                        "increaseIsGood",
                        "decreaseIsGood"
                      ]
                    }
                  }
                }
              },
              "status": {
                "type": "string",
                "enum": [
                  "draft",
                  "running",
                  "paused",
                  "closed"
                ]
              }
            }
          },
          "variants": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "id": {
            "type": "string"
          },
          "environments": {
            "type": "object",
            "additionalProperties": {
              "type": "object",
              "required": [
                "active",
                "fallthrough",
                "pausedOutcome",
                "rules"
              ],
              "properties": {
                "reuse": {
                  "type": "object",
                  "required": [
                    "active",
                    "environment"
                  ],
                  "properties": {
                    "active": {
                      "type": "boolean",
                      "enum": [
                        false,
                        true
                      ]
                    },
                    "environment": {
                      "type": "string"
                    }
                  }
                },
                "targets": {
                  "type": "object",
                  "additionalProperties": {
                    "type": "object",
                    "additionalProperties": {
                      "type": "object",
                      "additionalProperties": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "required": [
                            "value"
                          ],
                          "properties": {
                            "note": {
                              "type": "string"
                            },
                            "value": {
                              "type": "string"
                            }
                          }
                        }
                      }
                    }
                  }
                },
                "revision": {
                  "type": "number"
                },
                "pausedOutcome": {
                  "type": "object",
                  "required": [
                    "type",
                    "variantId"
                  ],
                  "properties": {
                    "type": {
                      "type": "string",
                      "enum": [
                        "variant"
                      ]
                    },
                    "variantId": {
                      "type": "string"
                    }
                  }
                },
                "fallthrough": {
                  "oneOf": [
                    {
                      "type": "object",
                      "required": [
                        "type",
                        "variantId"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "variant"
                          ]
                        },
                        "variantId": {
                          "type": "string"
                        }
                      }
                    },
                    {
                      "type": "object",
                      "required": [
                        "base",
                        "defaultVariantId",
                        "type",
                        "weights"
                      ],
                      "properties": {
                        "type": {
                          "type": "string",
                          "enum": [
                            "split"
                          ]
                        },
                        "base": {
                          "type": "object",
                          "required": [
                            "attribute",
                            "kind",
                            "type"
                          ],
                          "properties": {
                            "type": {
                              "type": "string",
                              "enum": [
                                "entity"
                              ]
                            },
                            "kind": {
                              "type": "string"
                            },
                            "attribute": {
                              "type": "string"
                            }
                          }
                        },
                        "weights": {
                          "type": "object",
                          "additionalProperties": {
                            "type": "number"
                          }
                        },
                        "defaultVariantId": {
                          "type": "string"
                        }
                      }
                    }
                  ]
                },
                "active": {
                  "type": "boolean",
                  "enum": [
                    false,
                    true
                  ]
                },
                "rules": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "required": [
                      "conditions",
                      "id",
                      "outcome"
                    ],
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "outcome": {
                        "oneOf": [
                          {
                            "type": "object",
                            "required": [
                              "type",
                              "variantId"
                            ],
                            "properties": {
                              "type": {
                                "type": "string",
                                "enum": [
                                  "variant"
                                ]
                              },
                              "variantId": {
                                "type": "string"
                              }
                            }
                          },
                          {
                            "type": "object",
                            "required": [
                              "base",
                              "defaultVariantId",
                              "type",
                              "weights"
                            ],
                            "properties": {
                              "type": {
                                "type": "string",
                                "enum": [
                                  "split"
                                ]
                              },
                              "base": {
                                "type": "object",
                                "required": [
                                  "attribute",
                                  "kind",
                                  "type"
                                ],
                                "properties": {
                                  "type": {
                                    "type": "string",
                                    "enum": [
                                      "entity"
                                    ]
                                  },
                                  "kind": {
                                    "type": "string"
                                  },
                                  "attribute": {
                                    "type": "string"
                                  }
                                }
                              },
                              "weights": {
                                "type": "object",
                                "additionalProperties": {
                                  "type": "number"
                                }
                              },
                              "defaultVariantId": {
                                "type": "string"
                              }
                            }
                          }
                        ]
                      },
                      "conditions": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "required": [
                            "cmp",
                            "lhs"
                          ],
                          "properties": {
                            "rhs": {
                              "oneOf": [
                                {
                                  "type": "string"
                                },
                                {
                                  "type": "number"
                                },
                                {
                                  "type": "object",
                                  "required": [
                                    "items",
                                    "type"
                                  ],
                                  "properties": {
                                    "type": {
                                      "type": "string",
                                      "enum": [
                                        "list/inline",
                                        "list"
                                      ]
                                    },
                                    "items": {
                                      "type": "array",
                                      "items": {
                                        "oneOf": [
                                          {
                                            "type": "object",
                                            "required": [
                                              "value"
                                            ],
                                            "properties": {
                                              "label": {
                                                "type": "string"
                                              },
                                              "note": {
                                                "type": "string"
                                              },
                                              "value": {
                                                "type": "number"
                                              }
                                            }
                                          },
                                          {
                                            "type": "object",
                                            "required": [
                                              "value"
                                            ],
                                            "properties": {
                                              "label": {
                                                "type": "string"
                                              },
                                              "note": {
                                                "type": "string"
                                              },
                                              "value": {
                                                "type": "string"
                                              }
                                            }
                                          }
                                        ]
                                      }
                                    }
                                  }
                                },
                                {
                                  "type": "object",
                                  "required": [
                                    "flags",
                                    "pattern",
                                    "type"
                                  ],
                                  "properties": {
                                    "type": {
                                      "type": "string",
                                      "enum": [
                                        "regex"
                                      ]
                                    },
                                    "pattern": {
                                      "type": "string"
                                    },
                                    "flags": {
                                      "type": "string"
                                    }
                                  }
                                },
                                {
                                  "type": "boolean",
                                  "enum": [
                                    false,
                                    true
                                  ]
                                }
                              ]
                            },
                            "cmpOptions": {
                              "type": "object",
                              "properties": {
                                "ignoreCase": {
                                  "type": "boolean",
                                  "enum": [
                                    false,
                                    true
                                  ]
                                }
                              }
                            },
                            "lhs": {
                              "oneOf": [
                                {
                                  "type": "object",
                                  "required": [
                                    "type"
                                  ],
                                  "properties": {
                                    "type": {
                                      "type": "string",
                                      "enum": [
                                        "segment"
                                      ]
                                    }
                                  }
                                },
                                {
                                  "type": "object",
                                  "required": [
                                    "attribute",
                                    "kind",
                                    "type"
                                  ],
                                  "properties": {
                                    "type": {
                                      "type": "string",
                                      "enum": [
                                        "entity"
                                      ]
                                    },
                                    "kind": {
                                      "type": "string"
                                    },
                                    "attribute": {
                                      "type": "string"
                                    }
                                  }
                                }
                              ]
                            },
                            "cmp": {
                              "type": "string",
                              "enum": [
                                "eq",
                                "!eq",
                                "oneOf",
                                "!oneOf",
                                "containsAllOf",
                                "containsAnyOf",
                                "containsNoneOf",
                                "startsWith",
                                "!startsWith",
                                "endsWith",
                                "!endsWith",
                                "contains",
                                "!contains",
                                "ex",
                                "!ex",
                                "gt",
                                "gte",
                                "lt",
                                "lte",
                                "regex",
                                "!regex",
                                "before",
                                "after"
                              ]
                            }
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "kind": {
            "type": "string",
            "enum": [
              "string",
              "number",
              "boolean",
              "json"
            ]
          },
          "revision": {
            "type": "number"
          },
          "seed": {
            "type": "number"
          },
          "state": {
            "type": "string",
            "enum": [
              "active",
              "archived"
            ]
          },
          "slug": {
            "type": "string"
          },
          "createdAt": {
            "type": "number"
          },
          "updatedAt": {
            "type": "number"
          },
          "createdBy": {
            "type": "string"
          },
          "ownerId": {
            "type": "string"
          },
          "projectId": {
            "type": "string"
          },
          "typeName": {
            "type": "string",
            "enum": [
              "flag"
            ]
          },
          "metadata": {
            "type": "object",
            "properties": {
              "creator": {
                "type": "object",
                "required": [
                  "id",
                  "name"
                ],
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "name": {
                    "type": "string"
                  }
                }
              }
            }
          }
        }
      }
    },
    "pagination": {
      "type": "object",
      "required": [
        "next"
      ],
      "properties": {
        "next": {
          "type": "string",
          "nullable": true
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

---

## Related

- [feature-flags endpoints](/docs/rest-api#feature-flags)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://openapi.vercel.sh/) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
